nxt.blockchain

## Class BlockImpl

- java.lang.Object
- - nxt.blockchain.BlockImpl

- All Implemented Interfaces:
    Block

      public final class BlockImpl
      extends java.lang.Object
      implements Block

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getBaseTarget()`
    `byte[]` | `getBlockSignature()`
    `byte[]` | `getBytes()`
    `java.math.BigInteger` | `getCumulativeDifficulty()`
    `java.util.List<FxtTransactionImpl>` | `getFxtTransactions()`
    `byte[]` | `getGenerationSignature()`
    `long` | `getGeneratorId()`
    `byte[]` | `getGeneratorPublicKey()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getNextBlockId()`
    `byte[]` | `getPayloadHash()`
    `byte[]` | `getPreviousBlockHash()`
    `long` | `getPreviousBlockId()`
    `java.lang.String` | `getStringId()`
    `int` | `getTimestamp()`
    `long` | `getTotalFeeFQT()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `static BlockImpl` | `parseBlock(byte[] blockBytes, java.util.List<? extends FxtTransaction> blockTransactions)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `Block`

    - #### getTimestamp

          public int getTimestamp()

      Specified by:
        `getTimestamp` in interface `Block`

    - #### getPreviousBlockId

          public long getPreviousBlockId()

      Specified by:
        `getPreviousBlockId` in interface `Block`

    - #### getGeneratorPublicKey

          public byte[] getGeneratorPublicKey()

      Specified by:
        `getGeneratorPublicKey` in interface `Block`

    - #### getPreviousBlockHash

          public byte[] getPreviousBlockHash()

      Specified by:
        `getPreviousBlockHash` in interface `Block`

    - #### getTotalFeeFQT

          public long getTotalFeeFQT()

      Specified by:
        `getTotalFeeFQT` in interface `Block`

    - #### getPayloadHash

          public byte[] getPayloadHash()

      Specified by:
        `getPayloadHash` in interface `Block`

    - #### getGenerationSignature

          public byte[] getGenerationSignature()

      Specified by:
        `getGenerationSignature` in interface `Block`

    - #### getBlockSignature

          public byte[] getBlockSignature()

      Specified by:
        `getBlockSignature` in interface `Block`

    - #### getFxtTransactions

          public java.util.List<FxtTransactionImpl> getFxtTransactions()

      Specified by:
        `getFxtTransactions` in interface `Block`

    - #### getBaseTarget

          public long getBaseTarget()

      Specified by:
        `getBaseTarget` in interface `Block`

    - #### getCumulativeDifficulty

          public java.math.BigInteger getCumulativeDifficulty()

      Specified by:
        `getCumulativeDifficulty` in interface `Block`

    - #### getNextBlockId

          public long getNextBlockId()

      Specified by:
        `getNextBlockId` in interface `Block`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `Block`

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `Block`

    - #### getStringId

          public java.lang.String getStringId()

      Specified by:
        `getStringId` in interface `Block`

    - #### getGeneratorId

          public long getGeneratorId()

      Specified by:
        `getGeneratorId` in interface `Block`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getBytes

          public byte[] getBytes()

      Specified by:
        `getBytes` in interface `Block`

    - #### parseBlock

          public static BlockImpl parseBlock(byte[] blockBytes,
                                             java.util.List<? extends FxtTransaction> blockTransactions)
                                      throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`